Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.io.filters
Class XMLDataIslandsInHTMLParser

    java.lang.Object
      com.ejie.r01f.io.filters.XMLDataIslandsInHTMLParser

public class XMLDataIslandsInHTMLParser
extends java.lang.Object

Clase que parsea un documento HTML y obtiene DATA ISLANDS embebidos en el propio documento Ejemplo de HTML con dataIslands:

# Una página con XML dataIslands

Aqui esto vuelve a ser html

## Esto es html

##

Ejemplo: XMLDataIslandsInHTMLReplacer diParser = new XMLDataIslandsInHTMLReplacer(); String[] dataIslands = diParser.findXMLDataIslandsInDocument( new StringReader(doc) );

Constructor Summary
`XMLDataIslandsInHTMLParser()` Constructor vacío

Method Summary
`java.lang.String[]` | `findXMLDataIslandsInDocument(java.io.File f)` Encuentra los XML dataIslands en un documento
`java.lang.String[]` | `findXMLDataIslandsInDocument(java.io.Reader r)` Encuentra los XML data islands en un documento
`java.lang.String[]` | `findXMLDataIslandsInDocument(java.lang.String filePath)` Encuentra los XML data islands en un documento
`static void` | `main(java.lang.String[] args)` Main Method

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDataIslandsInHTMLParser

    public XMLDataIslandsInHTMLParser()

  Constructor vacío

Method Detail

### findXMLDataIslandsInDocument

    public java.lang.String[] findXMLDataIslandsInDocument(java.io.Reader r)
                                                    throws java.io.IOException

  Encuentra los XML data islands en un documento

  Parameters:
    `r` - Un reader al documento
  Returns:
    Un array con los XML dataIslands
  Throws:
    `java.io.IOException` - si ocurre un error al leer el documento

### findXMLDataIslandsInDocument

    public java.lang.String[] findXMLDataIslandsInDocument(java.io.File f)
                                                    throws java.io.IOException

  Encuentra los XML dataIslands en un documento

  Parameters:
    `f` - Un fichero
  Returns:
    Un array con los XML dataIslands
  Throws:
    `java.io.IOException` - si ocurre un error al leer el documento

### findXMLDataIslandsInDocument

    public java.lang.String[] findXMLDataIslandsInDocument(java.lang.String filePath)
                                                    throws java.io.IOException

  Encuentra los XML data islands en un documento

  Parameters:
    `filePath` - el path del fichero
  Returns:
    Un array con los XML dataIslands
  Throws:
    `java.io.IOException` - si ocurre un error al leer un documento

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD